var page = require('webpage').create(),
    system = require('system'),
	fs =  require('fs'),
    input, output;
	
function getHTMLContent(status) {
	if (status !== 'success') {
		console.log('Unable to load the address');
		phantom.exit();
	}
	var content = page.evaluate(function() { 
	    var htmlContent = "";
		for (var i = 0; i < document.childNodes.length; i++) {
			if (document.childNodes[i].nodeType === document.ELEMENT_NODE
				&& document.childNodes[i].nodeName === "HTML") {
				htmlContent = document.childNodes[i].outerHTML;
				break;
			}
		}
		console.log(htmlContent);
		return htmlContent;
	});
	var file = fs.open(output, "w");
    file.writeLine(content);
    file.close();
	phantom.exit();
}

function printConsoleMessage(msg) { 
	console.log(msg);
}

if (system.args.length !== 3) {
    console.log('Usage: test.js inputhtml outputhtml');
	console.log('inputhtml has to be absolute path');
    phantom.exit();
} else {
    input = "file:///" + system.args[1];
    output = system.args[2];
    page.viewportSize = { width: 600, height: 600 };
	page.onConsoleMessage = printConsoleMessage;
	page.onLoadFinished = getHTMLContent;
    page.open(input);
}
